IF OBJECT_ID('dbo.fco_integrada_det') IS NOT NULL
    DROP TABLE dbo.fco_integrada_det
GO
CREATE TABLE dbo.fco_integrada_det
-- Planilla Integrada Registro Tipo 2: Liquidación Detallada de Aportes
(
    -- Llave primaria
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    tipo_planilla char(1) NOT NULL DEFAULT 'E',
    trabajador char(10) NOT NULL,    
    consecutivo tinyint NOT NULL DEFAULT 1, -- Consecutivo por trabajador
    -- Variables de novedades generales
    secuencia char(5) NOT NULL,
    tipo_documento char(2) NOT NULL,
    nro_id varchar(16) NOT NULL,
    digito_chequeo char(1) NOT NULL,
    tipo_cotizante tinyint NOT NULL,
    subtipo_cotizante tinyint NOT NULL,
    extranjero_no_pension char(1) NOT NULL,
    residente_en_exterior char(1) NOT NULL,
    departamento char(2) NOT NULL,
    municipio char(3) NOT NULL,    
    primer_apellido varchar(20) NOT NULL,
    segundo_apellido varchar(30) NOT NULL,
    primer_nombre varchar(20) NOT NULL,
    segundo_nombre varchar(30) NOT NULL,
    -- (Novedades)
    nov_ING char(1) NOT NULL,
    nov_RET char(1) NOT NULL,
    nov_TDE char(1) NOT NULL,
    nov_TAE char(1) NOT NULL,
    nov_TDP char(1) NOT NULL,
    nov_TAP char(1) NOT NULL,
    nov_VSP char(1) NOT NULL,
    nov_VTE char(1) NOT NULL,
    nov_VST char(1) NOT NULL,
    nov_SLN char(1) NOT NULL,
    nov_IGE char(1) NOT NULL,
    nov_LMA char(1) NOT NULL,
    nov_VAC char(1) NOT NULL,
    nov_AVP char(1) NOT NULL,
    nov_VCT char(1) NOT NULL,
    nov_IRP char(2) NOT NULL,
    -- (Fin Novedades)
    cod_AFP char(10) NOT NULL,
    cod_AFP_Tras varchar(6) NOT NULL,
    cod_EPS char(10) NOT NULL,
    cod_EPS_Tras varchar(6) NOT NULL,
    cod_CCF char(10) NOT NULL,
    dias_AFP tinyint NOT NULL,
    dias_EPS tinyint NOT NULL,
    dias_ARP tinyint NOT NULL,
    dias_CCF tinyint NOT NULL,
    salario decimal(9) NOT NULL,
    integral char(1) NOT NULL,
    IBC_AFP decimal(9) NOT NULL,
    IBC_EPS decimal(9) NOT NULL,
    IBC_ARP decimal(9) NOT NULL,
    IBC_CCF decimal(9) NOT NULL,
    -- Sistema General de AFPes
    tarifa_AFP decimal(6,5) NOT NULL,
    aporte_AFP decimal(9) NOT NULL,
    voluntario_AFP decimal(9) NOT NULL,
    voluntario_AFP_cia decimal(9) NOT NULL,
    aporte_total_AFP AS aporte_AFP + voluntario_AFP + voluntario_AFP_cia,
    aporte_FSP decimal(9) NOT NULL,
    aporte_FSP_subsistencia decimal(9) NOT NULL,
    valor_no_retenido decimal(9) NOT NULL,
    -- Sistema General de EPS
    tarifa_EPS decimal(6,5) NOT NULL,
    aporte_EPS decimal(9) NOT NULL,
    UPC_adicional decimal(9) NOT NULL,
    nro_aut_IGE varchar(15) NOT NULL,
    vlr_aut_IGE decimal(9) NOT NULL,
    nro_aut_LMA varchar(15) NOT NULL,
    vlr_aut_LMA decimal(9) NOT NULL,
    -- Sistema General de ARP Profesionales
    tarifa_ARP decimal(9,8) NOT NULL,
    centro_trabajo decimal(9) NOT NULL,
    aporte_ARP decimal(9) NOT NULL,
    -- Parafiscales
    tarifa_CCF decimal(6,5) NOT NULL,
    aporte_CCF decimal(9) NOT NULL,
    tarifa_SENA decimal(6,5) NOT NULL,
    aporte_SENA decimal(9) NOT NULL,
    tarifa_ICBF decimal(6,5) NOT NULL,
    aporte_ICBF decimal(9) NOT NULL,
    tarifa_ESAP decimal(6,5) NOT NULL,
    aporte_ESAP decimal(9) NOT NULL,
    tarifa_MEdu decimal(6,5) NOT NULL,
    aporte_MEdu decimal(9) NOT NULL,
    origen tinyint NOT NULL, -- 1 Normal, 2 Fantasma, 3 Editada manualmente
    eliminada bit NOT NULL DEFAULT 0
    CONSTRAINT pk_fco_integrada_det PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, tipo_planilla, trabajador, consecutivo)
)
GO
GRANT ALL ON dbo.fco_integrada_det TO PUBLIC
GO

